package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.RouteTableAssociation;

public interface RouteTableAssociationService {
    BocloudResult list(Pager pager);

    BocloudResult<String> replace(RouteTableAssociation association, RequestContext context);

    BocloudResult<String> associate(RouteTableAssociation association, RequestContext context);

    BocloudResult<String> disassociate(RouteTableAssociation association, RequestContext context);
}
